Type to search.

Delete a dangling index

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.9 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

If Elasticsearch encounters index data that is absent from the current cluster state, those indices are considered to be dangling. For example, this can happen if you delete more than cluster.indices.tombstones.size indices while an Elasticsearch node is offline.

Required privileges

Cluster privileges manage

Path parameters

index_uuid string required

The UUID of the index to delete. Use the get dangling indices API to find the UUID.

Query parameters

accept_data_loss boolean · default: false

This parameter must be set to true to acknowledge that it will no longer be possible to recove data from the dangling index.

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node.

Values: -1 0
timeout union oneOf · default: 30s

The period to wait for a response.

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.